<?php

namespace Survey\Organisation;

use DB;
use Illuminate\Database\Seeder;

class HierarchyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('hierarchies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'organisation.hierarchy.view',
                'name'      => 'View Hierarchy',
            ],
            [
                'slug'      => 'organisation.hierarchy.create',
                'name'      => 'Create Hierarchy',
            ],
            [
                'slug'      => 'organisation.hierarchy.edit',
                'name'      => 'Update Hierarchy',
            ],
            [
                'slug'      => 'organisation.hierarchy.delete',
                'name'      => 'Delete Hierarchy',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/organisation/hierarchy',
                'name'        => 'Hierarchy',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/organisation/hierarchy',
                'name'        => 'Hierarchy',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'hierarchy',
                'name'        => 'Hierarchy',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Organisation',
                'module'    => 'Hierarchy',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'organisation.hierarchy.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
