<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for file in organisation package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  file module in organisation package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'File',
    'names'         => 'Files',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Files',
        'sub'   => 'Files',
        'list'  => 'List of files',
        'edit'  => 'Edit file',
        'create'    => 'Create new file'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Uploaded','Pending'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'name'                       => 'Please enter name',
        'employee_count'             => 'Please enter employee count',
        'hierarchy_count'            => 'Please enter hierarchy count',
        'status'                     => 'Please select status',
        'uploaded_file'              => 'Please enter uploaded file',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'name'                       => 'Name',
        'employee_count'             => 'Employee count',
        'hierarchy_count'            => 'Hierarchy count',
        'status'                     => 'Status',
        'uploaded_file'              => 'Uploaded file',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'employee_count'             => ['name' => 'Employee count', 'data-column' => 2, 'checked'],
        'hierarchy_count'            => ['name' => 'Hierarchy count', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Files',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
