<?php

namespace Survey\Organisation\Repositories\Eloquent;

use Survey\Organisation\Interfaces\FileRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FileRepository extends BaseRepository implements FileRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('survey.organisation.file.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('survey.organisation.file.model.model');
    }
}
