<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for employee in organisation package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  employee module in organisation package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Employee',
    'names'         => 'Employees',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Employees',
        'sub'   => 'Employees',
        'list'  => 'List of employees',
        'edit'  => 'Edit employee',
        'create'    => 'Create new employee'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'people_manager'      => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'file_id'                    => 'Please enter file id',
        'manager_id'                 => 'Please enter manager id',
        'name'                       => 'Please enter name',
        'last_name'                  => 'Please enter last name',
        'email'                      => 'Please enter email',
        'gender'                     => 'Please enter gender',
        'ethnicity'                  => 'Please enter ethnicity',
        'overall_node'               => 'Please enter overall node',
        'region'                     => 'Please enter region',
        'country'                    => 'Please enter country',
        'location_group'             => 'Please enter location group',
        'location'                   => 'Please enter location',
        'performance'                => 'Please enter performance',
        'bonus_class'                => 'Please enter bonus class',
        'emp_class'                  => 'Please enter emp class',
        'tenure'                     => 'Please enter tenure',
        'people_manager'             => 'Please select people manager',
        'generation'                 => 'Please enter generation',
        'position'                   => 'Please enter position',
        'job_type'                   => 'Please enter job type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'file_id'                    => 'File id',
        'manager_id'                 => 'Manager id',
        'name'                       => 'Name',
        'last_name'                  => 'Last name',
        'email'                      => 'Email',
        'gender'                     => 'Gender',
        'ethnicity'                  => 'Ethnicity',
        'overall_node'               => 'Overall node',
        'region'                     => 'Region',
        'country'                    => 'Country',
        'location_group'             => 'Location group',
        'location'                   => 'Location',
        'performance'                => 'Performance',
        'bonus_class'                => 'Bonus class',
        'emp_class'                  => 'Emp class',
        'tenure'                     => 'Tenure',
        'people_manager'             => 'People manager',
        'generation'                 => 'Generation',
        'position'                   => 'Position',
        'job_type'                   => 'Job type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'manager_id'                 => ['name' => 'Manager id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 4, 'checked'],
        'region'                     => ['name' => 'Region', 'data-column' => 5, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 6, 'checked'],
        'location_group'             => ['name' => 'Location group', 'data-column' => 7, 'checked'],
        'location'                   => ['name' => 'Location', 'data-column' => 8, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Employees',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
