<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for hierarchy in organisation package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  hierarchy module in organisation package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Hierarchy',
    'names'         => 'Hierarchies',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Hierarchies',
        'sub'   => 'Hierarchies',
        'list'  => 'List of hierarchies',
        'edit'  => 'Edit hierarchy',
        'create'    => 'Create new hierarchy'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Managerial','Non-Managerial'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'file_id'                    => 'Please enter file id',
        'name'                       => 'Please enter name',
        'type'                       => 'Please select type',
        'manager_column'             => 'Please enter manager column',
        'additional_attribute'        => 'Please enter additional attribute',
        'non_managerial_type'        => 'Please enter non managerial type',
        'levels'                     => 'Please enter levels',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select last changed',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'file_id'                    => 'File id',
        'name'                       => 'Name',
        'type'                       => 'Type',
        'manager_column'             => 'Manager column',
        'additional_attribute'        => 'Additional attribute',
        'non_managerial_type'        => 'Non managerial type',
        'levels'                     => 'Levels',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Last Changed/By',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 2, 'checked'],
        'updated_at'                 => ['name' => 'Last Changed/By', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Hierarchies',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
