<?php

namespace Survey\Organisation\Repositories\Eloquent;

use Survey\Organisation\Interfaces\HierarchyRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class HierarchyRepository extends BaseRepository implements HierarchyRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('survey.organisation.hierarchy.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('survey.organisation.hierarchy.model.model');
    }
}
